/*******************************************************************************
 * FoxProjectile_RocketFragmentBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxProjectile_RocketFragmentBase extends FoxProjectile_GrenadeBase
    abstract
    native(Weapon)
    config(Projectile)
    hidecategories(Navigation);

var float ExpandRate;
var Vector LastOffset;

replication
{
    // Pos:0x000
    if(bNetInitial && Role == ROLE_Authority)
        ExpandRate, LastOffset
}

simulated function StartGrenadeTimer(optional float CookedTime)
{
    //return;    
}

function InitFragment(Vector InitalVelocity)
{
    SetRotation(rotator(Normal(InitalVelocity)));
    Velocity = InitalVelocity;
    //return;    
}

simulated function Tick(float DeltaTime)
{
    super(Actor).Tick(DeltaTime);
    //return;    
}

defaultproperties
{
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_RocketFragmentBase.StaticMeshComponent0'
    Mesh=StaticMeshComponent0
    bPerformGravity=false
    bExplodeOnImpact=true
    bSpotGrenade=false
    DialogName="Rocket"
    GravityScale=0.050
    ProjLightEnvironment=DynamicLightEnvironmentComponent'Default__FoxProjectile_RocketFragmentBase.MyLightEnvironment'
    Speed=0.0
    Damage=250.0
    DamageRadius=900.0
    MomentumTransfer=100.0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_RocketFragmentBase.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_RocketFragmentBase.CollisionCylinder'
    Components(0)=CollisionCylinder
    Components(1)=DynamicLightEnvironmentComponent'Default__FoxProjectile_RocketFragmentBase.MyLightEnvironment'
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_RocketFragmentBase.StaticMeshComponent0'
    Components(2)=StaticMeshComponent0
    bBounce=false
    LifeSpan=20.0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_RocketFragmentBase.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}